## AgsTicDevice

AgsTicDevice — tic device object

## Stability Level

Stable, unless otherwise indicated

## Functions

AgsTicDevice * | ags_tic_device_new ()

## Properties

GObject * | device | Read / Write

## Object Hierarchy

        GObject
        ╰── AgsTask
            ╰── AgsTicDevice

## Includes

    #include <ags/audio/task/ags_tic_device.h>

## Description

The AgsTicDevice task tics GObject.

## Functions

### ags_tic_device_new ()

    AgsTicDevice *
    ags_tic_device_new (GObject *device);

Creates an AgsTicDevice.

#### Parameters

device | the GObject to tic |

#### Returns

an new AgsTicDevice.

Since: 3.0.0

## Property Details

### The `“device”` property

      “device”                   GObject *

The assigned GObject as device.

Owner: AgsTicDevice

Flags: Read / Write

Since: 3.0.0